RedHat: RHSA-2022-4591:01 Important: subversion security update | L...
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: subversion security update
Advisory ID:       RHSA-2022:4591-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2022:4591
Issue date:        2022-05-18
CVE Names:         CVE-2022-24070 
=====================================================================

1. Summary:

An update for subversion is now available for Red Hat Enterprise Linux 9.

Red Hat Product Security has rated this update as having a security impact
of Important. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available for each vulnerability
from the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AppStream (v. 9) - aarch64, ppc64le, s390x, x86_64

3. Description:

Subversion (SVN) is a concurrent version control system which enables one
or more users to collaborate in developing and maintaining a hierarchy of
files and directories while keeping a history of all changes.

Security Fix(es):

* subversion: Subversion's mod_dav_svn is vulnerable to memory corruption
(CVE-2022-24070)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

After installing the updated packages, for the update to take effect, you
must restart the httpd daemon, if you are using mod_dav_svn, and the
svnserve daemon, if you are serving Subversion repositories via the svn://
protocol.

5. Bugs fixed (https://bugzilla.redhat.com/):

2074772 - CVE-2022-24070 subversion: Subversion's mod_dav_svn is vulnerable to memory corruption

6. Package List:

Red Hat Enterprise Linux AppStream (v. 9):

Source:
subversion-1.14.1-5.el9_0.src.rpm

aarch64:
mod_dav_svn-1.14.1-5.el9_0.aarch64.rpm
mod_dav_svn-debuginfo-1.14.1-5.el9_0.aarch64.rpm
python3-subversion-1.14.1-5.el9_0.aarch64.rpm
python3-subversion-debuginfo-1.14.1-5.el9_0.aarch64.rpm
subversion-1.14.1-5.el9_0.aarch64.rpm
subversion-debuginfo-1.14.1-5.el9_0.aarch64.rpm
subversion-debugsource-1.14.1-5.el9_0.aarch64.rpm
subversion-devel-1.14.1-5.el9_0.aarch64.rpm
subversion-devel-debuginfo-1.14.1-5.el9_0.aarch64.rpm
subversion-gnome-1.14.1-5.el9_0.aarch64.rpm
subversion-gnome-debuginfo-1.14.1-5.el9_0.aarch64.rpm
subversion-libs-1.14.1-5.el9_0.aarch64.rpm
subversion-libs-debuginfo-1.14.1-5.el9_0.aarch64.rpm
subversion-perl-1.14.1-5.el9_0.aarch64.rpm
subversion-perl-debuginfo-1.14.1-5.el9_0.aarch64.rpm
subversion-ruby-debuginfo-1.14.1-5.el9_0.aarch64.rpm
subversion-tools-1.14.1-5.el9_0.aarch64.rpm
subversion-tools-debuginfo-1.14.1-5.el9_0.aarch64.rpm

ppc64le:
mod_dav_svn-1.14.1-5.el9_0.ppc64le.rpm
mod_dav_svn-debuginfo-1.14.1-5.el9_0.ppc64le.rpm
python3-subversion-1.14.1-5.el9_0.ppc64le.rpm
python3-subversion-debuginfo-1.14.1-5.el9_0.ppc64le.rpm
subversion-1.14.1-5.el9_0.ppc64le.rpm
subversion-debuginfo-1.14.1-5.el9_0.ppc64le.rpm
subversion-debugsource-1.14.1-5.el9_0.ppc64le.rpm
subversion-devel-1.14.1-5.el9_0.ppc64le.rpm
subversion-devel-debuginfo-1.14.1-5.el9_0.ppc64le.rpm
subversion-gnome-1.14.1-5.el9_0.ppc64le.rpm
subversion-gnome-debuginfo-1.14.1-5.el9_0.ppc64le.rpm
subversion-libs-1.14.1-5.el9_0.ppc64le.rpm
subversion-libs-debuginfo-1.14.1-5.el9_0.ppc64le.rpm
subversion-perl-1.14.1-5.el9_0.ppc64le.rpm
subversion-perl-debuginfo-1.14.1-5.el9_0.ppc64le.rpm
subversion-ruby-debuginfo-1.14.1-5.el9_0.ppc64le.rpm
subversion-tools-1.14.1-5.el9_0.ppc64le.rpm
subversion-tools-debuginfo-1.14.1-5.el9_0.ppc64le.rpm

s390x:
mod_dav_svn-1.14.1-5.el9_0.s390x.rpm
mod_dav_svn-debuginfo-1.14.1-5.el9_0.s390x.rpm
python3-subversion-1.14.1-5.el9_0.s390x.rpm
python3-subversion-debuginfo-1.14.1-5.el9_0.s390x.rpm
subversion-1.14.1-5.el9_0.s390x.rpm
subversion-debuginfo-1.14.1-5.el9_0.s390x.rpm
subversion-debugsource-1.14.1-5.el9_0.s390x.rpm
subversion-devel-1.14.1-5.el9_0.s390x.rpm
subversion-devel-debuginfo-1.14.1-5.el9_0.s390x.rpm
subversion-gnome-1.14.1-5.el9_0.s390x.rpm
subversion-gnome-debuginfo-1.14.1-5.el9_0.s390x.rpm
subversion-libs-1.14.1-5.el9_0.s390x.rpm
subversion-libs-debuginfo-1.14.1-5.el9_0.s390x.rpm
subversion-perl-1.14.1-5.el9_0.s390x.rpm
subversion-perl-debuginfo-1.14.1-5.el9_0.s390x.rpm
subversion-ruby-debuginfo-1.14.1-5.el9_0.s390x.rpm
subversion-tools-1.14.1-5.el9_0.s390x.rpm
subversion-tools-debuginfo-1.14.1-5.el9_0.s390x.rpm

x86_64:
mod_dav_svn-1.14.1-5.el9_0.x86_64.rpm
mod_dav_svn-debuginfo-1.14.1-5.el9_0.x86_64.rpm
python3-subversion-1.14.1-5.el9_0.x86_64.rpm
python3-subversion-debuginfo-1.14.1-5.el9_0.x86_64.rpm
subversion-1.14.1-5.el9_0.x86_64.rpm
subversion-debuginfo-1.14.1-5.el9_0.x86_64.rpm
subversion-debugsource-1.14.1-5.el9_0.x86_64.rpm
subversion-devel-1.14.1-5.el9_0.x86_64.rpm
subversion-devel-debuginfo-1.14.1-5.el9_0.x86_64.rpm
subversion-gnome-1.14.1-5.el9_0.x86_64.rpm
subversion-gnome-debuginfo-1.14.1-5.el9_0.x86_64.rpm
subversion-libs-1.14.1-5.el9_0.x86_64.rpm
subversion-libs-debuginfo-1.14.1-5.el9_0.x86_64.rpm
subversion-perl-1.14.1-5.el9_0.x86_64.rpm
subversion-perl-debuginfo-1.14.1-5.el9_0.x86_64.rpm
subversion-ruby-debuginfo-1.14.1-5.el9_0.x86_64.rpm
subversion-tools-1.14.1-5.el9_0.x86_64.rpm
subversion-tools-debuginfo-1.14.1-5.el9_0.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2022-24070
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2022 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBYpn+ftzjgjWX9erEAQjbtQ//WD7eBxGVP8sNGdmXNR/pZ+d5uBk0/jV1
LxpzEJYR4rvu5QuHCYy3FfE/+Q6wiP9VLRyS8RKO3PAxefL+ZhzNp81EPO4u6Mm5
njx92RSdjrwSYeS8Rfm3mGo2iYFiIMn0016pJI/GyWZJaiclPz+k51tNCwzm1q8e
gqH61dfmvU9287gp83uFG+ZG88TFGgj4Sb5xdGhmWCN0V5ChKYeQJFgBypCyywXK
fV25CnNs6fAFbURL3bb1w5nMarM+zT4wuw6GfZ3Uoe0FvvuTivv15mapNI7sYteZ
h4UC5tKUCCkjPg/FFZEZMODNSGP+Ivq4pvU7vk/WqUzY9X53atKICqRY0TLuOnTy
0h+uPPx2o5T8Ns3CEc19e+N1uoc+/IGZaDQAhmXBYFZQ6wGRuR2eaqAGOntZuLfQ
MgJzV+470Sl56AGY6k1R9bwAx+Ne9IWZFk/O3dNi6UJjbdFJNCZ1kHwigUX6/nuN
xDCJh8deo/NcenRAK2NBchAlY3BPTVexmmtyjlkdMtCcii8JQ3sdTTVBcP7CTH+/
e5y78ek+PSvhmeBblPSCCUpBSmldO/Q04mzR5IZQ23MliLgXruHusFR44YFagLPb
MtvYomtJIRQ16TVI0GEDdEHClZbRN2+squnsv2O74WR0iFcz6U6/CGgWy4b5b7Rj
5LvAJoBK2Vs=
=Ag1Z
-----END PGP SIGNATURE-----
--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce

RedHat: RHSA-2022-4591:01 Important: subversion security update

An update for subversion is now available for Red Hat Enterprise Linux 9

Summary

Subversion (SVN) is a concurrent version control system which enables one or more users to collaborate in developing and maintaining a hierarchy of files and directories while keeping a history of all changes.
Security Fix(es):
* subversion: Subversion's mod_dav_svn is vulnerable to memory corruption (CVE-2022-24070)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Solution

For details on how to apply this update, which includes the changesdescribed in this advisory, refer to:https://access.redhat.com/articles/11258After installing the updated packages, for the update to take effect, youmust restart the httpd daemon, if you are using mod_dav_svn, and thesvnserve daemon, if you are serving Subversion repositories via the svn://protocol.

References

https://access.redhat.com/security/cve/CVE-2022-24070 https://access.redhat.com/security/updates/classification/#important

Package List

Red Hat Enterprise Linux AppStream (v. 9):
Source: subversion-1.14.1-5.el9_0.src.rpm
aarch64: mod_dav_svn-1.14.1-5.el9_0.aarch64.rpm mod_dav_svn-debuginfo-1.14.1-5.el9_0.aarch64.rpm python3-subversion-1.14.1-5.el9_0.aarch64.rpm python3-subversion-debuginfo-1.14.1-5.el9_0.aarch64.rpm subversion-1.14.1-5.el9_0.aarch64.rpm subversion-debuginfo-1.14.1-5.el9_0.aarch64.rpm subversion-debugsource-1.14.1-5.el9_0.aarch64.rpm subversion-devel-1.14.1-5.el9_0.aarch64.rpm subversion-devel-debuginfo-1.14.1-5.el9_0.aarch64.rpm subversion-gnome-1.14.1-5.el9_0.aarch64.rpm subversion-gnome-debuginfo-1.14.1-5.el9_0.aarch64.rpm subversion-libs-1.14.1-5.el9_0.aarch64.rpm subversion-libs-debuginfo-1.14.1-5.el9_0.aarch64.rpm subversion-perl-1.14.1-5.el9_0.aarch64.rpm subversion-perl-debuginfo-1.14.1-5.el9_0.aarch64.rpm subversion-ruby-debuginfo-1.14.1-5.el9_0.aarch64.rpm subversion-tools-1.14.1-5.el9_0.aarch64.rpm subversion-tools-debuginfo-1.14.1-5.el9_0.aarch64.rpm
ppc64le: mod_dav_svn-1.14.1-5.el9_0.ppc64le.rpm mod_dav_svn-debuginfo-1.14.1-5.el9_0.ppc64le.rpm python3-subversion-1.14.1-5.el9_0.ppc64le.rpm python3-subversion-debuginfo-1.14.1-5.el9_0.ppc64le.rpm subversion-1.14.1-5.el9_0.ppc64le.rpm subversion-debuginfo-1.14.1-5.el9_0.ppc64le.rpm subversion-debugsource-1.14.1-5.el9_0.ppc64le.rpm subversion-devel-1.14.1-5.el9_0.ppc64le.rpm subversion-devel-debuginfo-1.14.1-5.el9_0.ppc64le.rpm subversion-gnome-1.14.1-5.el9_0.ppc64le.rpm subversion-gnome-debuginfo-1.14.1-5.el9_0.ppc64le.rpm subversion-libs-1.14.1-5.el9_0.ppc64le.rpm subversion-libs-debuginfo-1.14.1-5.el9_0.ppc64le.rpm subversion-perl-1.14.1-5.el9_0.ppc64le.rpm subversion-perl-debuginfo-1.14.1-5.el9_0.ppc64le.rpm subversion-ruby-debuginfo-1.14.1-5.el9_0.ppc64le.rpm subversion-tools-1.14.1-5.el9_0.ppc64le.rpm subversion-tools-debuginfo-1.14.1-5.el9_0.ppc64le.rpm
s390x: mod_dav_svn-1.14.1-5.el9_0.s390x.rpm mod_dav_svn-debuginfo-1.14.1-5.el9_0.s390x.rpm python3-subversion-1.14.1-5.el9_0.s390x.rpm python3-subversion-debuginfo-1.14.1-5.el9_0.s390x.rpm subversion-1.14.1-5.el9_0.s390x.rpm subversion-debuginfo-1.14.1-5.el9_0.s390x.rpm subversion-debugsource-1.14.1-5.el9_0.s390x.rpm subversion-devel-1.14.1-5.el9_0.s390x.rpm subversion-devel-debuginfo-1.14.1-5.el9_0.s390x.rpm subversion-gnome-1.14.1-5.el9_0.s390x.rpm subversion-gnome-debuginfo-1.14.1-5.el9_0.s390x.rpm subversion-libs-1.14.1-5.el9_0.s390x.rpm subversion-libs-debuginfo-1.14.1-5.el9_0.s390x.rpm subversion-perl-1.14.1-5.el9_0.s390x.rpm subversion-perl-debuginfo-1.14.1-5.el9_0.s390x.rpm subversion-ruby-debuginfo-1.14.1-5.el9_0.s390x.rpm subversion-tools-1.14.1-5.el9_0.s390x.rpm subversion-tools-debuginfo-1.14.1-5.el9_0.s390x.rpm
x86_64: mod_dav_svn-1.14.1-5.el9_0.x86_64.rpm mod_dav_svn-debuginfo-1.14.1-5.el9_0.x86_64.rpm python3-subversion-1.14.1-5.el9_0.x86_64.rpm python3-subversion-debuginfo-1.14.1-5.el9_0.x86_64.rpm subversion-1.14.1-5.el9_0.x86_64.rpm subversion-debuginfo-1.14.1-5.el9_0.x86_64.rpm subversion-debugsource-1.14.1-5.el9_0.x86_64.rpm subversion-devel-1.14.1-5.el9_0.x86_64.rpm subversion-devel-debuginfo-1.14.1-5.el9_0.x86_64.rpm subversion-gnome-1.14.1-5.el9_0.x86_64.rpm subversion-gnome-debuginfo-1.14.1-5.el9_0.x86_64.rpm subversion-libs-1.14.1-5.el9_0.x86_64.rpm subversion-libs-debuginfo-1.14.1-5.el9_0.x86_64.rpm subversion-perl-1.14.1-5.el9_0.x86_64.rpm subversion-perl-debuginfo-1.14.1-5.el9_0.x86_64.rpm subversion-ruby-debuginfo-1.14.1-5.el9_0.x86_64.rpm subversion-tools-1.14.1-5.el9_0.x86_64.rpm subversion-tools-debuginfo-1.14.1-5.el9_0.x86_64.rpm
These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://access.redhat.com/security/team/key/

Severity
Advisory ID: RHSA-2022:4591-01
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2022:4591
Issued Date: : 2022-05-18
CVE Names: CVE-2022-24070

Topic

An update for subversion is now available for Red Hat Enterprise Linux 9.Red Hat Product Security has rated this update as having a security impactof Important. A Common Vulnerability Scoring System (CVSS) base score,which gives a detailed severity rating, is available for each vulnerabilityfrom the CVE link(s) in the References section.

Relevant Releases Architectures

Red Hat Enterprise Linux AppStream (v. 9) - aarch64, ppc64le, s390x, x86_64

Bugs Fixed

2074772 - CVE-2022-24070 subversion: Subversion's mod_dav_svn is vulnerable to memory corruption

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.